Subject: RE: [NSIS] GIMPS state management (was: RE: About GIMPS!) > merge d

From: "Hancock, Robert" <[email-masked]>
Date: Thu, 8 Apr 2004 15:57:39 +0100

Hi Takako,

as Hannes says, there are no stupid questions. please see below.

> -----Original Message-----
> From: Takako Sanda [mailto:[email-masked]]
> Sent: Thursday, April 08, 2004 10:57
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [NSIS] GIMPS state management (was: RE: About GIMPS!) >
> merged
> 
> 
> Hi Robert, Nary Tra and Attila,
> 
> 
> Thank you for answering.
> 
> But I still have some confusion. Please let me confirm.
> 
> - Does every signaling application message caused by data sending (or
> depend on some data flows)?

Basically yes: there are classes of signalling message which are not
about specific data flows (you could regard network management or
routing protocol messages as being in this class, for example). Such
messages are *not* in the scope of NSIS.

> I thought that FRI contains, for example, IP address of "data sender".
> If this understanding is correct,
> 
>  "Hancock, Robert" <[email-masked]> wrote:
>  > The underlying assumption (in the current version of GIMPS) 
>  > is that *every* signalling application message (including a
>  > QoS-NSLP QUERY as an example) will contain both the FRI (which
>  > has the flow-id N-tuple inside it) and the SID.
> 
> means, every signaling application message have to related to 
> some data
> flow.
> Or, is my understanding incorrect?

No, you are quite right.

[Actually, to confuse matters a bit, we have identified one
message in the NATFW NSLP which is not really about a data flow
but which is about finding an address to use for a data flow.
If - as seems quite possible - this message turns out to need
routing in a different way, GIMPS will have to be tweaked to 
handle it. But that isn't in the current drafts.]

> 
> - Is QUERY only sent by data sender or receiver.
> I thought that QUERY can be sent by any QNE without special 
> request, i.e.
> any QNE can send QUERY for just checking available resources within
> certain message scoping. In this case, I thought QUERY doesn't need to
> carry any flow id or session id (if my first understanding 
> was correct)...

In one sense, you are right. In another sense, you are not.

If you send a QUERY message with *no* FRI at all, how is any
device to know what resources you are actually interested in?

For example, if it was sent with unspecified destination address,
you would basically be asking "what resources are available in the
Internet?" The FRI needs to have at least enough information in it
to define the topological path in the network you are asking about.

(It could be made more specific later, e.g. leaving out higher layer
information at first - provided you are sure that this higher layer
information will not affect the routing. But the FRI can be changed
during a session anyway. This also got raised on the Reserve/Commit
thread recently.)

> 
> 
> Sorry if I am annoying you with stupid questions.
> 
> --Takako
> 
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis